﻿// This sets an active user in the open ExorLive window.
// If ExorLive isn't open, it will open ExorLive in a new window.
// If the id doesn't exist in your ExorLive organisation, 
// a user with this id will be created.
function btnOpenMyCustomer(config) {
	if (typeof $access_token == "undefined") {
		document.getElementById('dlg').style.visibility = '';
	} else {
		/*var config = {
		firstname: firstname,	// Required, only used if id doesnt exist
		lastname: lastname,		// Required, only used if id doesnt exist
		customId: id,			// Required.
		dateofbirth: dob,	// Optional.
		email: email		// Optional.
		};*/
		ExorLive.app.selectUser(config);
		document.getElementById('dlg2').style.visibility = 'hidden';
	}
	return false;
}

// Cookie management
// Credit: http://www.quirksmode.org/js/cookies.html
function createCookie(name, value, days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
		var expires = "; expires=" + date.toGMTString();
	}
	else var expires = "";
	document.cookie = name + "=" + value + expires + "; path=/";
}

function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for (var i = 0; i < ca.length; i++) {
		var c = ca[i];
		while (c.charAt(0) == ' ') c = c.substring(1, c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
	}
	return null;
}

function eraseCookie(name) {
	createCookie(name, "", -1);
}
